/**
 * HCS12 Register Bits Include File
 *
 * Defines register bit definitions
 *
 * @author Robert Moore <rob@mooredesign.com.au>
 * @version 1.1.0
 * @date 2009-07-21
 */

// Bit positions
#define BIT7		(0x80)
#define BIT6		(0x40)
#define BIT5		(0x20)
#define BIT4		(0x10)
#define BIT3		(0x08)
#define BIT2		(0x04)
#define BIT1		(0x02)
#define BIT0		(0x01)


#define NOACCE		BIT7
#define PIPOE		BIT5
#define NECLK		BIT4
#define LSTRE		BIT3
#define RDWE		BIT2
#define MODC		BIT7
#define MODB		BIT6
#define MODA		BIT5
#define IVIS		BIT3
#define EMK			BIT1
#define EME			BIT0
#define PUPKE		BIT7
#define PUPEE		BIT4
#define PUPBE		BIT1
#define PUPAE		BIT0
#define RDPK		BIT7
#define RDPE		BIT4
#define RDPB		BIT1
#define RDPA		BIT0
#define ESTR		BIT0
#define EXSTR1		BIT3
#define EXSTR0		BIT2
#define ROMHM		BIT1
#define ROMON		BIT0
#define WRINT		BIT4
#define INTE		BIT7
#define INTC		BIT6
#define INTA		BIT5
#define INT8		BIT4
#define INT6		BIT3
#define INT4		BIT2
#define INT2		BIT1
#define INT0		BIT0
#define IRQE		BIT7
#define IRQEN		BIT6
#define BKEN		BIT7
#define BKFULL		BIT6
#define BKBDM		BIT5
#define BKTAG		BIT4
#define BK0RWE		BIT3
#define BK0RW		BIT2
#define BK1RWE		BIT1
#define BK1RW		BIT0
#define RTIF		BIT7
#define PROF		BIT6
#define LOCKIF		BIT4
#define LOCK		BIT3
#define TRACK		BIT2
#define SCMIF		BIT1
#define SCM			BIT0
#define RTIE		BIT7
#define LOCKIE		BIT4
#define SCMIE		BIT1
#define PLLSEL		BIT7
#define PSTP		BIT6
#define SYSWAI		BIT5
#define ROAWAI		BIT4
#define PLLWAI		BIT3
#define CWAI		BIT2
#define RTIWAI		BIT1
#define COPWAI		BIT0
#define CME			BIT7
#define PLLON		BIT6
#define AUTO		BIT5
#define ACQ			BIT4
#define PRE			BIT2
#define PCE			BIT1
#define SCME		BIT0
#define WCOP		BIT7
#define RSBCK		BIT6
#define RTIBYP		BIT7
#define COPBYP		BIT6
#define PLLBYP		BIT4
#define FCM			BIT1
#define TEN			BIT7
#define TSWAI		BIT6
#define TSFRZ		BIT5
#define TFFCA		BIT4
#define TOI			BIT7
#define TOF			BIT7
#define C7I			BIT7
#define C6I			BIT6
#define C5I			BIT5
#define C4I			BIT4
#define C3I			BIT3
#define C2I			BIT2
#define C1I			BIT1
#define C0I			BIT0
#define C7F			BIT7
#define C6F			BIT6
#define C5F			BIT5
#define C4F			BIT4
#define C3F			BIT3
#define C2F			BIT2
#define C1F			BIT1
#define C0F			BIT0
#define TCRE		BIT3
#define PAEN		BIT6
#define PAMOD		BIT5
#define PEDGE		BIT4
#define CLK1		BIT3
#define CLK0		BIT2
#define PAOVI		BIT1
#define PAI			BIT0
#define PAOVF		BIT1
#define PAIF		BIT0
#define MCZI		BIT7
#define MODMC		BIT6
#define RDMCL		BIT5
#define ICLAT		BIT4
#define FLMC		BIT3
#define MCEN		BIT2
#define MCPR1		BIT1
#define MCPR0		BIT0
#define MCZF		BIT7
#define POLF3		BIT3
#define POLF2		BIT2
#define POLF1		BIT1
#define POLF0		BIT0
#define PAEN3		BIT3
#define PAEN2		BIT2
#define PAEN1		BIT1
#define PAEN0		BIT0
#define TFMOD		BIT3
#define PACMX		BIT2
#define BUFEN		BIT1
#define LATQ		BIT0
#define TCBYP		BIT1
#define PBEN		BIT6
#define PBOVI		BIT1
#define PBOVF		BIT1
#define ADPU		BIT7
#define AFFC		BIT6
#define AWAI		BIT5
#define ETRIGLE		BIT4
#define ETRIGP		BIT3
#define ETRIG		BIT2
#define ASCIE		BIT1
#define ASCIF		BIT0
#define SCF			BIT7
#define ETORF		BIT5
#define FIFOR		BIT4
#define CON67		BIT7
#define CON45		BIT6
#define CON23		BIT5
#define CON01		BIT4
#define PSWAI		BIT3
#define PFRZ		BIT2
#define PWMIF		BIT7
#define PWMIE		BIT6
#define PWMRSTRT	BIT5
#define PWMLVL		BIT4
#define PWM7IN		BIT2
#define PWM7INL		BIT1
#define PWM7ENA		BIT0
#define TIEN		BIT7
#define TCIE		BIT6
#define RIE			BIT5
#define ILIE		BIT4
#define TE			BIT3
#define RE			BIT2
#define RWU			BIT1
#define SBK			BIT0
#define TDRE		BIT7
#define TC			BIT6
#define RDRF		BIT5
#define IDLE		BIT4
#define OR			BIT3
#define NF			BIT2
#define FE			BIT1
#define PF			BIT0
#define BRK13		BIT2
#define TXDIR		BIT1
#define RAF			BIT0
#define R8			BIT7
#define T8			BIT6
#define SPIF		BIT7
#define SPTEF		BIT5
#define MODF		BIT4
#define IBEN		BIT7
#define IBIE		BIT6
#define TXAK		BIT3
#define RSTA		BIT2
#define IBSWAI		BIT0
#define TCF			BIT7
#define IAAS		BIT6
#define IBB			BIT5
#define IBAL		BIT4
#define SRW			BIT2
#define IBIF		BIT1
#define RXAK		BIT0
#define IMSG		BIT7
#define CLKS		BIT6
#define IE			BIT1
#define WCM			BIT0
#define BDLCE		BIT4
#define BIDLE		BIT0
#define WUPIF		BIT7
#define CSCIF		BIT6
#define RSTAT1		BIT5
#define RSTAT0		BIT4
#define TSTAT1		BIT3
#define TSTAT0		BIT2
#define OVRIF		BIT1
#define RXF			BIT0
#define WUPIE		BIT7
#define CSCIE		BIT6
#define RSTATE1		BIT5
#define RSTATE0		BIT4
#define TSTATE1		BIT3
#define TSTATE0		BIT2
#define OVRIE		BIT1
#define RXFIE		BIT0
#define TXE2		BIT2
#define TXE1		BIT1
#define TXE0		BIT0
#define TXEIE2		BIT2
#define TXEIE1		BIT1
#define TXEIE0		BIT0
#define TX2			BIT2
#define TX1			BIT1
#define TX0			BIT0
#define CANE		BIT7
#define LISTEN		BIT4
#define INITAK		BIT0
#define INITRQ		BIT0
#define WUPM		BIT2
#define WUPE		BIT2
#define LOOPB		BIT5
#define SYNCH		BIT4
#define TEN			BIT7
#define RXFRM		BIT7
